﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

// Add a reference to System.IO.Compression.FileSystem.
using System.IO.Compression;
using System.IO;

namespace howto_zip_folder
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Start with the source folder.
        private void Form1_Load(object sender, EventArgs e)
        {
            txtFolder.Text = Application.StartupPath;
            txtZipFile.Text = Path.GetFullPath(
                Path.Combine(Application.StartupPath, "..\\howto_zip_folder.zip"));
        }

        // Let the user browse for the folder.
        private void btnBrowseFolder_Click(object sender, EventArgs e)
        {
            fbdFolder.SelectedPath = txtFolder.Text;
            if (fbdFolder.ShowDialog() == DialogResult.OK)
                txtFolder.Text = fbdFolder.SelectedPath;
        }

        // Let the user browse for the Zip file.
        private void btnBrowseForFile_Click(object sender, EventArgs e)
        {
            sfdZipFile.FileName = txtZipFile.Text;
            if (sfdZipFile.ShowDialog() == DialogResult.OK)
                txtZipFile.Text = sfdZipFile.FileName;
        }

        // Zip the directory.
        private void btnZip_Click(object sender, EventArgs e)
        {
            try
            {
                ZipFile.CreateFromDirectory(txtFolder.Text, txtZipFile.Text);
                MessageBox.Show("Done");
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        // Unzip the zip file.
        private void btnUnzip_Click(object sender, EventArgs e)
        {
            try
            {
                ZipFile.ExtractToDirectory(txtZipFile.Text, txtFolder.Text);
                MessageBox.Show("Done");
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
    }
}
